
#pragma once

#ifndef MODELREADER_H
#define MODELREADER_H

#include <vector>
using std::vector;

struct sdcVector 
{
	sdcVector() { }
	sdcVector(float _x, float _y, float _z) : x(_x), y(_y), z(_z) { }
	float x; float y; float z; 
};

class Model
{
public:
	void ReadWavefrontOBJ(char* pSource, int dataSize);

	vector <sdcVector>	vertices;
	vector <sdcVector>	normals;
	vector <sdcVector>	mapping;
	vector <int>		faceIndices;
	vector <int>		normalIndices;
	vector <int>		uvIndices;
};

#endif
